Package groovy.json

# Class JsonException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.json.JsonException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `Exceptions.JsonInternalException`

public class JsonException extends RuntimeException
`JsonException` is the exception thrown by the JSON builder and slurper classes, whenever a problem occurs when creating or parsing JSON data structures.

Since:
  1.8.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonException()`
  `JsonException(String s)`
  `JsonException(String s, Throwable throwable)`
  `JsonException(Throwable throwable)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JsonException

    public JsonException()

  - ### JsonException

    public JsonException(String s)

  - ### JsonException

    public JsonException(String s, Throwable throwable)

  - ### JsonException

    public JsonException(Throwable throwable)